Needed a clarification rearding the new Oracle Critical Patch Update - January 2005 that Metalink has put out.

All our databases are at Oracle Version and we have applied the Security Alert 68 patchset on top of the release. Do we still have to apply this Critical Patchset?

Has anyone come across any document that covers this information to the point it would be great.
I have been reading the document that are on metalink and all I have understood is that this new Critical Patchset is a new methodology that Oracle has adopted to release the patches periodically.

Your input is highly appreciated.